<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        caption="msg://tierThresholdEdit.caption"
        focusComponent="form">
    <data>
        <instance id="tierThresholdDc"
                  class="com.company.management.entity.TierThreshold">
            <fetchPlan extends="_base">
            </fetchPlan>
            <loader/>
        </instance>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="windowCommitAndClose" caption="msg:///actions.Ok"
                icon="EDITOR_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="windowClose"
                caption="msg:///actions.Close"
                icon="EDITOR_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" expand="scrollBox">
        <scrollBox id="scrollBox" spacing="true">
            <form id="form" dataContainer="tierThresholdDc">
                <column width="350px">
                    <textField id="minValueField" property="minValue"/>
                    <textField id="maxValueField" property="maxValue"/>
                </column>
            </form>
        </scrollBox>
        <hbox id="editActions" spacing="true">
            <button id="commitAndCloseBtn" action="windowCommitAndClose"/>
            <button id="closeBtn" action="windowClose"/>
        </hbox>
    </layout>
</window>
